5.3.0-git
2014-10-31

[#7135] Selected message improvements when deleting messages
Summary Selected message improvements when deleting messages
Queue IMP
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2008-07-29 (2285 days ago)
Due
Updated 2009-01-08 (2122 days ago)
Assigned
Resolved
Milestone
Patch No

History
2009-01-08 05:37:20 Michael Slusarz Version ⇒ HEAD
Queue ⇒ IMP
 
2008-11-09 16:24:26 Chuck Hagenbuch Comment #8
State ⇒ Accepted
Reply to this comment
unstalling just so it doesn't get lost.
2008-08-04 19:56:38 Michael Slusarz Comment #7
State ⇒ Stalled
Reply to this comment
Depends on Ticket #7152: will give the option to swap current DEL and 
SHIFT-DEL bindings.
2008-08-01 20:52:38 Jan Schneider Comment #4 Reply to this comment
Obviously, this shouldn't be a concern if preview is turned off - I
have no argument that selecting the next message would be proper
there.  If preview is on... maybe we can select the next message
without previewing it (i.e. a right-click on an unselected message).
I think we should stay consistent here and not change behavior based 
on whether previews are enabled or not. Especially since this can be 
changed on demand and is not a pure preference.
2008-08-01 19:40:12 Michael Slusarz Comment #3 Reply to this comment
I see now that shift-delete does what I want here, but I still think
that when using a trash folder, the shift-delete behavior should be
the default - otherwise you are constantly losing your place in the
mailbox in terms of keyboard nav.
The next message is not selected on purpose - the reasoning being that 
we want to avoid loading the preview of a message (a potentially 
expensive call on the server side) unless we are absolutely certain 
the user wants to view that message.  Additionally, IIRC, user studies 
from large organizations (e.g. SAPO) indicated that many users are 
"afraid" to click on a message that they know is SPAM for fear that by 
loading the preview, there computers might be infected/affected.   
Quite honestly, it is not an unreasonable fear and I agree with the 
conclusion that we should only show previews if a message is 
explicitly clicked on (this fear is the main reason why a right-click 
does not automatically load the preview).



Obviously, this shouldn't be a concern if preview is turned off - I 
have no argument that selecting the next message would be proper 
there.  If preview is on... maybe we can select the next message 
without previewing it (i.e. a right-click on an unselected message).
2008-07-31 01:27:56 Chuck Hagenbuch Comment #2 Reply to this comment
I see now that shift-delete does what I want here, but I still think 
that when using a trash folder, the shift-delete behavior should be 
the default - otherwise you are constantly losing your place in the 
mailbox in terms of keyboard nav.
2008-07-29 17:02:08 Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ DIMP
Summary ⇒ Selected message improvements when deleting messages
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
When deleting messages from the viewport and using a trash folder, the 
selection is lost. I'd like to see deletion be treated as a down 
arrow/next message action from the point of view of the selection. If 
there are no messages after the one(s) being deleted, then the 
selection should move up instead. Similarly to the enhancements for 
hitting up/down when multiple messages are selected, if multiple 
messages were deleted, the up/down behavior should be from the 
top/bottom of the selection, respectively.